org.apache.storm.sql.parser.impl

## Interface StormParserImplConstants

- All Known Implementing Classes:
    StormParserImpl, StormParserImplTokenManager

      public interface StormParserImplConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `A`
    `static int` | `ABS`
    `static int` | `ABSOLUTE`
    `static int` | `ACTION`
    `static int` | `ADA`
    `static int` | `ADD`
    `static int` | `ADMIN`
    `static int` | `AFTER`
    `static int` | `ALL`
    `static int` | `ALLOCATE`
    `static int` | `ALLOW`
    `static int` | `ALTER`
    `static int` | `ALWAYS`
    `static int` | `AND`
    `static int` | `ANY`
    `static int` | `APPLY`
    `static int` | `APPROX_NUMERIC_LITERAL`
    `static int` | `ARE`
    `static int` | `ARRAY`
    `static int` | `ARRAY_MAX_CARDINALITY`
    `static int` | `AS`
    `static int` | `ASC`
    `static int` | `ASENSITIVE`
    `static int` | `ASSERTION`
    `static int` | `ASSIGNMENT`
    `static int` | `ASYMMETRIC`
    `static int` | `AT`
    `static int` | `ATOMIC`
    `static int` | `ATTRIBUTE`
    `static int` | `ATTRIBUTES`
    `static int` | `AUTHORIZATION`
    `static int` | `AVG`
    `static int` | `BACK_QUOTED_IDENTIFIER`
    `static int` | `BEFORE`
    `static int` | `BEGIN`
    `static int` | `BEGIN_FRAME`
    `static int` | `BEGIN_PARTITION`
    `static int` | `BEL`
    `static int` | `BERNOULLI`
    `static int` | `BETWEEN`
    `static int` | `BIGINT`
    `static int` | `BINARY`
    `static int` | `BINARY_STRING_LITERAL`
    `static int` | `BIT`
    `static int` | `BLOB`
    `static int` | `BOOLEAN`
    `static int` | `BOTH`
    `static int` | `BRACKET_QUOTED_IDENTIFIER`
    `static int` | `BREADTH`
    `static int` | `BTID`
    `static int` | `BY`
    `static int` | `C`
    `static int` | `CALL`
    `static int` | `CALLED`
    `static int` | `CARDINALITY`
    `static int` | `CARET`
    `static int` | `CASCADE`
    `static int` | `CASCADED`
    `static int` | `CASE`
    `static int` | `CAST`
    `static int` | `CATALOG`
    `static int` | `CATALOG_NAME`
    `static int` | `CEIL`
    `static int` | `CEILING`
    `static int` | `CENTURY`
    `static int` | `CHAIN`
    `static int` | `CHAR`
    `static int` | `CHAR_LENGTH`
    `static int` | `CHARACTER`
    `static int` | `CHARACTER_LENGTH`
    `static int` | `CHARACTER_SET_CATALOG`
    `static int` | `CHARACTER_SET_NAME`
    `static int` | `CHARACTER_SET_SCHEMA`
    `static int` | `CHARACTERISTICS`
    `static int` | `CHARACTERS`
    `static int` | `CHARSETNAME`
    `static int` | `CHECK`
    `static int` | `CLASS_ORIGIN`
    `static int` | `CLASSIFIER`
    `static int` | `CLOB`
    `static int` | `CLOSE`
    `static int` | `COALESCE`
    `static int` | `COBOL`
    `static int` | `COLLATE`
    `static int` | `COLLATION`
    `static int` | `COLLATION_CATALOG`
    `static int` | `COLLATION_ID`
    `static int` | `COLLATION_NAME`
    `static int` | `COLLATION_SCHEMA`
    `static int` | `COLLECT`
    `static int` | `COLON`
    `static int` | `COLUMN`
    `static int` | `COLUMN_NAME`
    `static int` | `COMMA`
    `static int` | `COMMAND_FUNCTION`
    `static int` | `COMMAND_FUNCTION_CODE`
    `static int` | `COMMIT`
    `static int` | `COMMITTED`
    `static int` | `CONCAT`
    `static int` | `CONDITION`
    `static int` | `CONDITION_NUMBER`
    `static int` | `CONNECT`
    `static int` | `CONNECTION`
    `static int` | `CONNECTION_NAME`
    `static int` | `CONSTRAINT`
    `static int` | `CONSTRAINT_CATALOG`
    `static int` | `CONSTRAINT_NAME`
    `static int` | `CONSTRAINT_SCHEMA`
    `static int` | `CONSTRAINTS`
    `static int` | `CONSTRUCTOR`
    `static int` | `CONTAINS`
    `static int` | `CONTINUE`
    `static int` | `CONVERT`
    `static int` | `CORR`
    `static int` | `CORRESPONDING`
    `static int` | `COUNT`
    `static int` | `COVAR_POP`
    `static int` | `COVAR_SAMP`
    `static int` | `CREATE`
    `static int` | `CROSS`
    `static int` | `CUBE`
    `static int` | `CUME_DIST`
    `static int` | `CURRENT`
    `static int` | `CURRENT_CATALOG`
    `static int` | `CURRENT_DATE`
    `static int` | `CURRENT_DEFAULT_TRANSFORM_GROUP`
    `static int` | `CURRENT_PATH`
    `static int` | `CURRENT_ROLE`
    `static int` | `CURRENT_ROW`
    `static int` | `CURRENT_SCHEMA`
    `static int` | `CURRENT_TIME`
    `static int` | `CURRENT_TIMESTAMP`
    `static int` | `CURRENT_TRANSFORM_GROUP_FOR_TYPE`
    `static int` | `CURRENT_USER`
    `static int` | `CURSOR`
    `static int` | `CURSOR_NAME`
    `static int` | `CYCLE`
    `static int` | `DATA`
    `static int` | `DATABASE`
    `static int` | `DATE`
    `static int` | `DATETIME_INTERVAL_CODE`
    `static int` | `DATETIME_INTERVAL_PRECISION`
    `static int` | `DAY`
    `static int` | `DEALLOCATE`
    `static int` | `DEC`
    `static int` | `DECADE`
    `static int` | `DECIMAL`
    `static int` | `DECIMAL_NUMERIC_LITERAL`
    `static int` | `DECLARE`
    `static int` | `DEFAULT`
    `static int` | `DEFAULT_`
    `static int` | `DEFAULTS`
    `static int` | `DEFERRABLE`
    `static int` | `DEFERRED`
    `static int` | `DEFINE`
    `static int` | `DEFINED`
    `static int` | `DEFINER`
    `static int` | `DEGREE`
    `static int` | `DELETE`
    `static int` | `DENSE_RANK`
    `static int` | `DEPTH`
    `static int` | `DEREF`
    `static int` | `DERIVED`
    `static int` | `DESC`
    `static int` | `DESCRIBE`
    `static int` | `DESCRIPTION`
    `static int` | `DESCRIPTOR`
    `static int` | `DETERMINISTIC`
    `static int` | `DIAGNOSTICS`
    `static int` | `DIGIT`
    `static int` | `DISALLOW`
    `static int` | `DISCONNECT`
    `static int` | `DISPATCH`
    `static int` | `DISTINCT`
    `static int` | `DOLLAR`
    `static int` | `DOMAIN`
    `static int` | `DOT`
    `static int` | `DOUBLE`
    `static int` | `DOUBLE_PERIOD`
    `static int` | `DOUBLE_QUOTE`
    `static int` | `DOW`
    `static int` | `DOY`
    `static int` | `DQID`
    `static int` | `DROP`
    `static int` | `DYNAMIC`
    `static int` | `DYNAMIC_FUNCTION`
    `static int` | `DYNAMIC_FUNCTION_CODE`
    `static int` | `EACH`
    `static int` | `ELEMENT`
    `static int` | `ELSE`
    `static int` | `EMPTY`
    `static int` | `END`
    `static int` | `END_EXEC`
    `static int` | `END_FRAME`
    `static int` | `END_PARTITION`
    `static int` | `EOF`
    `static int` | `EPOCH`
    `static int` | `EQ`
    `static int` | `EQUALS`
    `static int` | `ESCAPE`
    `static int` | `EVERY`
    `static int` | `EXCEPT`
    `static int` | `EXCEPTION`
    `static int` | `EXCLUDE`
    `static int` | `EXCLUDING`
    `static int` | `EXEC`
    `static int` | `EXECUTE`
    `static int` | `EXISTS`
    `static int` | `EXP`
    `static int` | `EXPLAIN`
    `static int` | `EXPONENT`
    `static int` | `EXTEND`
    `static int` | `EXTERNAL`
    `static int` | `EXTRACT`
    `static int` | `FALSE`
    `static int` | `FETCH`
    `static int` | `FILTER`
    `static int` | `FINAL`
    `static int` | `FIRST`
    `static int` | `FIRST_VALUE`
    `static int` | `FLOAT`
    `static int` | `FLOOR`
    `static int` | `FOLLOWING`
    `static int` | `FOR`
    `static int` | `FOREIGN`
    `static int` | `FORMAL_COMMENT`
    `static int` | `FORTRAN`
    `static int` | `FOUND`
    `static int` | `FRAC_SECOND`
    `static int` | `FRAME_ROW`
    `static int` | `FREE`
    `static int` | `FROM`
    `static int` | `FULL`
    `static int` | `FUNCTION`
    `static int` | `FUSION`
    `static int` | `G`
    `static int` | `GE`
    `static int` | `GENERAL`
    `static int` | `GENERATED`
    `static int` | `GEOMETRY`
    `static int` | `GET`
    `static int` | `GLOBAL`
    `static int` | `GO`
    `static int` | `GOTO`
    `static int` | `GRANT`
    `static int` | `GRANTED`
    `static int` | `GROUP`
    `static int` | `GROUPING`
    `static int` | `GROUPS`
    `static int` | `GT`
    `static int` | `HAVING`
    `static int` | `HEXDIGIT`
    `static int` | `HIERARCHY`
    `static int` | `HOLD`
    `static int` | `HOOK`
    `static int` | `HOUR`
    `static int` | `IDENTIFIER`
    `static int` | `IDENTITY`
    `static int` | `IMMEDIATE`
    `static int` | `IMMEDIATELY`
    `static int` | `IMPLEMENTATION`
    `static int` | `IMPORT`
    `static int` | `IN`
    `static int` | `IN_FORMAL_COMMENT`
    `static int` | `IN_MULTI_LINE_COMMENT`
    `static int` | `INCLUDING`
    `static int` | `INCREMENT`
    `static int` | `INDICATOR`
    `static int` | `INITIAL`
    `static int` | `INITIALLY`
    `static int` | `INNER`
    `static int` | `INOUT`
    `static int` | `INPUT`
    `static int` | `INPUTFORMAT`
    `static int` | `INSENSITIVE`
    `static int` | `INSERT`
    `static int` | `INSTANCE`
    `static int` | `INSTANTIABLE`
    `static int` | `INT`
    `static int` | `INTEGER`
    `static int` | `INTERSECT`
    `static int` | `INTERSECTION`
    `static int` | `INTERVAL`
    `static int` | `INTO`
    `static int` | `INVOKER`
    `static int` | `IS`
    `static int` | `ISOLATION`
    `static int` | `JAR`
    `static int` | `JAVA`
    `static int` | `JOIN`
    `static int` | `JSON`
    `static int` | `K`
    `static int` | `KEY`
    `static int` | `KEY_MEMBER`
    `static int` | `KEY_TYPE`
    `static int` | `LABEL`
    `static int` | `LAG`
    `static int` | `LANGUAGE`
    `static int` | `LARGE`
    `static int` | `LAST`
    `static int` | `LAST_VALUE`
    `static int` | `LATERAL`
    `static int` | `LBRACE`
    `static int` | `LBRACE_D`
    `static int` | `LBRACE_FN`
    `static int` | `LBRACE_T`
    `static int` | `LBRACE_TS`
    `static int` | `LBRACKET`
    `static int` | `LE`
    `static int` | `LEAD`
    `static int` | `LEADING`
    `static int` | `LEFT`
    `static int` | `LENGTH`
    `static int` | `LETTER`
    `static int` | `LEVEL`
    `static int` | `LIBRARY`
    `static int` | `LIKE`
    `static int` | `LIKE_REGEX`
    `static int` | `LIMIT`
    `static int` | `LN`
    `static int` | `LOCAL`
    `static int` | `LOCALTIME`
    `static int` | `LOCALTIMESTAMP`
    `static int` | `LOCATION`
    `static int` | `LOCATOR`
    `static int` | `LOWER`
    `static int` | `LPAREN`
    `static int` | `LT`
    `static int` | `M`
    `static int` | `MAP`
    `static int` | `MATCH`
    `static int` | `MATCH_NUMBER`
    `static int` | `MATCH_RECOGNIZE`
    `static int` | `MATCHED`
    `static int` | `MATCHES`
    `static int` | `MAX`
    `static int` | `MAXVALUE`
    `static int` | `MEASURES`
    `static int` | `MEMBER`
    `static int` | `MERGE`
    `static int` | `MESSAGE_LENGTH`
    `static int` | `MESSAGE_OCTET_LENGTH`
    `static int` | `MESSAGE_TEXT`
    `static int` | `METHOD`
    `static int` | `MICROSECOND`
    `static int` | `MILLENNIUM`
    `static int` | `MIN`
    `static int` | `MINUS`
    `static int` | `MINUTE`
    `static int` | `MINVALUE`
    `static int` | `MOD`
    `static int` | `MODIFIES`
    `static int` | `MODULE`
    `static int` | `MONTH`
    `static int` | `MORE_`
    `static int` | `MULTI_LINE_COMMENT`
    `static int` | `MULTISET`
    `static int` | `MUMPS`
    `static int` | `NAME`
    `static int` | `NAMED_ARGUMENT_ASSIGNMENT`
    `static int` | `NAMES`
    `static int` | `NATIONAL`
    `static int` | `NATURAL`
    `static int` | `NCHAR`
    `static int` | `NCLOB`
    `static int` | `NE`
    `static int` | `NE2`
    `static int` | `NESTING`
    `static int` | `NEW`
    `static int` | `NEXT`
    `static int` | `NO`
    `static int` | `NONE`
    `static int` | `NORMALIZE`
    `static int` | `NORMALIZED`
    `static int` | `NOT`
    `static int` | `NTH_VALUE`
    `static int` | `NTILE`
    `static int` | `NULL`
    `static int` | `NULLABLE`
    `static int` | `NULLIF`
    `static int` | `NULLS`
    `static int` | `NUMBER`
    `static int` | `NUMERIC`
    `static int` | `OBJECT`
    `static int` | `OCCURRENCES_REGEX`
    `static int` | `OCTET_LENGTH`
    `static int` | `OCTETS`
    `static int` | `OF`
    `static int` | `OFFSET`
    `static int` | `OLD`
    `static int` | `OMIT`
    `static int` | `ON`
    `static int` | `ONE`
    `static int` | `ONLY`
    `static int` | `OPEN`
    `static int` | `OPTION`
    `static int` | `OPTIONS`
    `static int` | `OR`
    `static int` | `ORDER`
    `static int` | `ORDERING`
    `static int` | `ORDINALITY`
    `static int` | `OTHERS`
    `static int` | `OUT`
    `static int` | `OUTER`
    `static int` | `OUTPUT`
    `static int` | `OUTPUTFORMAT`
    `static int` | `OVER`
    `static int` | `OVERLAPS`
    `static int` | `OVERLAY`
    `static int` | `OVERRIDING`
    `static int` | `PAD`
    `static int` | `PARALLELISM`
    `static int` | `PARAMETER`
    `static int` | `PARAMETER_MODE`
    `static int` | `PARAMETER_NAME`
    `static int` | `PARAMETER_ORDINAL_POSITION`
    `static int` | `PARAMETER_SPECIFIC_CATALOG`
    `static int` | `PARAMETER_SPECIFIC_NAME`
    `static int` | `PARAMETER_SPECIFIC_SCHEMA`
    `static int` | `PARTIAL`
    `static int` | `PARTITION`
    `static int` | `PASCAL`
    `static int` | `PASSTHROUGH`
    `static int` | `PAST`
    `static int` | `PATH`
    `static int` | `PATTERN`
    `static int` | `PER`
    `static int` | `PERCENT`
    `static int` | `PERCENT_RANK`
    `static int` | `PERCENT_REMAINDER`
    `static int` | `PERCENTILE_CONT`
    `static int` | `PERCENTILE_DISC`
    `static int` | `PERIOD`
    `static int` | `PERMUTE`
    `static int` | `PLACING`
    `static int` | `PLAN`
    `static int` | `PLI`
    `static int` | `PLUS`
    `static int` | `PORTION`
    `static int` | `POSITION`
    `static int` | `POSITION_REGEX`
    `static int` | `POWER`
    `static int` | `PRECEDES`
    `static int` | `PRECEDING`
    `static int` | `PRECISION`
    `static int` | `PREFIXED_STRING_LITERAL`
    `static int` | `PREPARE`
    `static int` | `PRESERVE`
    `static int` | `PREV`
    `static int` | `PRIMARY`
    `static int` | `PRIOR`
    `static int` | `PRIVILEGES`
    `static int` | `PROCEDURE`
    `static int` | `PUBLIC`
    `static int` | `QUARTER`
    `static int` | `QUOTE`
    `static int` | `QUOTED_IDENTIFIER`
    `static int` | `QUOTED_STRING`
    `static int` | `RANGE`
    `static int` | `RANK`
    `static int` | `RBRACE`
    `static int` | `RBRACKET`
    `static int` | `READ`
    `static int` | `READS`
    `static int` | `REAL`
    `static int` | `RECURSIVE`
    `static int` | `REF`
    `static int` | `REFERENCES`
    `static int` | `REFERENCING`
    `static int` | `REGR_AVGX`
    `static int` | `REGR_AVGY`
    `static int` | `REGR_COUNT`
    `static int` | `REGR_INTERCEPT`
    `static int` | `REGR_R2`
    `static int` | `REGR_SLOPE`
    `static int` | `REGR_SXX`
    `static int` | `REGR_SXY`
    `static int` | `REGR_SYY`
    `static int` | `RELATIVE`
    `static int` | `RELEASE`
    `static int` | `REPEATABLE`
    `static int` | `REPLACE`
    `static int` | `RESET`
    `static int` | `RESTART`
    `static int` | `RESTRICT`
    `static int` | `RESULT`
    `static int` | `RETURN`
    `static int` | `RETURNED_CARDINALITY`
    `static int` | `RETURNED_LENGTH`
    `static int` | `RETURNED_OCTET_LENGTH`
    `static int` | `RETURNED_SQLSTATE`
    `static int` | `RETURNS`
    `static int` | `REVOKE`
    `static int` | `RIGHT`
    `static int` | `ROLE`
    `static int` | `ROLLBACK`
    `static int` | `ROLLUP`
    `static int` | `ROUTINE`
    `static int` | `ROUTINE_CATALOG`
    `static int` | `ROUTINE_NAME`
    `static int` | `ROUTINE_SCHEMA`
    `static int` | `ROW`
    `static int` | `ROW_COUNT`
    `static int` | `ROW_NUMBER`
    `static int` | `ROWS`
    `static int` | `RPAREN`
    `static int` | `RUNNING`
    `static int` | `SAVEPOINT`
    `static int` | `SCALE`
    `static int` | `SCHEMA`
    `static int` | `SCHEMA_NAME`
    `static int` | `SCOPE`
    `static int` | `SCOPE_CATALOGS`
    `static int` | `SCOPE_NAME`
    `static int` | `SCOPE_SCHEMA`
    `static int` | `SCROLL`
    `static int` | `SEARCH`
    `static int` | `SECOND`
    `static int` | `SECTION`
    `static int` | `SECURITY`
    `static int` | `SEEK`
    `static int` | `SELECT`
    `static int` | `SELF`
    `static int` | `SEMICOLON`
    `static int` | `SENSITIVE`
    `static int` | `SEQUENCE`
    `static int` | `SERIALIZABLE`
    `static int` | `SERVER`
    `static int` | `SERVER_NAME`
    `static int` | `SESSION`
    `static int` | `SESSION_USER`
    `static int` | `SET`
    `static int` | `SET_MINUS`
    `static int` | `SETS`
    `static int` | `SHOW`
    `static int` | `SIMILAR`
    `static int` | `SIMPLE`
    `static int` | `SINGLE_LINE_COMMENT`
    `static int` | `SIZE`
    `static int` | `SKIP_`
    `static int` | `SLASH`
    `static int` | `SMALLINT`
    `static int` | `SOME`
    `static int` | `SOURCE`
    `static int` | `SPACE`
    `static int` | `SPECIFIC`
    `static int` | `SPECIFIC_NAME`
    `static int` | `SPECIFICTYPE`
    `static int` | `SQL`
    `static int` | `SQL_BIGINT`
    `static int` | `SQL_BINARY`
    `static int` | `SQL_BIT`
    `static int` | `SQL_BLOB`
    `static int` | `SQL_BOOLEAN`
    `static int` | `SQL_CHAR`
    `static int` | `SQL_CLOB`
    `static int` | `SQL_DATE`
    `static int` | `SQL_DECIMAL`
    `static int` | `SQL_DOUBLE`
    `static int` | `SQL_FLOAT`
    `static int` | `SQL_INTEGER`
    `static int` | `SQL_INTERVAL_DAY`
    `static int` | `SQL_INTERVAL_DAY_TO_HOUR`
    `static int` | `SQL_INTERVAL_DAY_TO_MINUTE`
    `static int` | `SQL_INTERVAL_DAY_TO_SECOND`
    `static int` | `SQL_INTERVAL_HOUR`
    `static int` | `SQL_INTERVAL_HOUR_TO_MINUTE`
    `static int` | `SQL_INTERVAL_HOUR_TO_SECOND`
    `static int` | `SQL_INTERVAL_MINUTE`
    `static int` | `SQL_INTERVAL_MINUTE_TO_SECOND`
    `static int` | `SQL_INTERVAL_MONTH`
    `static int` | `SQL_INTERVAL_SECOND`
    `static int` | `SQL_INTERVAL_YEAR`
    `static int` | `SQL_INTERVAL_YEAR_TO_MONTH`
    `static int` | `SQL_LONGVARBINARY`
    `static int` | `SQL_LONGVARCHAR`
    `static int` | `SQL_LONGVARNCHAR`
    `static int` | `SQL_NCHAR`
    `static int` | `SQL_NCLOB`
    `static int` | `SQL_NUMERIC`
    `static int` | `SQL_NVARCHAR`
    `static int` | `SQL_REAL`
    `static int` | `SQL_SMALLINT`
    `static int` | `SQL_TIME`
    `static int` | `SQL_TIMESTAMP`
    `static int` | `SQL_TINYINT`
    `static int` | `SQL_TSI_DAY`
    `static int` | `SQL_TSI_FRAC_SECOND`
    `static int` | `SQL_TSI_HOUR`
    `static int` | `SQL_TSI_MICROSECOND`
    `static int` | `SQL_TSI_MINUTE`
    `static int` | `SQL_TSI_MONTH`
    `static int` | `SQL_TSI_QUARTER`
    `static int` | `SQL_TSI_SECOND`
    `static int` | `SQL_TSI_WEEK`
    `static int` | `SQL_TSI_YEAR`
    `static int` | `SQL_VARBINARY`
    `static int` | `SQL_VARCHAR`
    `static int` | `SQLEXCEPTION`
    `static int` | `SQLSTATE`
    `static int` | `SQLWARNING`
    `static int` | `SQRT`
    `static int` | `STAR`
    `static int` | `START`
    `static int` | `STATE`
    `static int` | `STATEMENT`
    `static int` | `STATIC`
    `static int` | `STDDEV_POP`
    `static int` | `STDDEV_SAMP`
    `static int` | `STORED`
    `static int` | `STREAM`
    `static int` | `STRUCTURE`
    `static int` | `STYLE`
    `static int` | `SUBCLASS_ORIGIN`
    `static int` | `SUBMULTISET`
    `static int` | `SUBSET`
    `static int` | `SUBSTITUTE`
    `static int` | `SUBSTRING`
    `static int` | `SUBSTRING_REGEX`
    `static int` | `SUCCEEDS`
    `static int` | `SUM`
    `static int` | `SYMMETRIC`
    `static int` | `SYSTEM`
    `static int` | `SYSTEM_TIME`
    `static int` | `SYSTEM_USER`
    `static int` | `TABLE`
    `static int` | `TABLE_NAME`
    `static int` | `TABLESAMPLE`
    `static int` | `TBLPROPERTIES`
    `static int` | `TEMPORARY`
    `static int` | `THEN`
    `static int` | `TIES`
    `static int` | `TIME`
    `static int` | `TIMESTAMP`
    `static int` | `TIMESTAMPADD`
    `static int` | `TIMESTAMPDIFF`
    `static int` | `TIMEZONE_HOUR`
    `static int` | `TIMEZONE_MINUTE`
    `static int` | `TINYINT`
    `static int` | `TO`
    `static String[]` | `tokenImage`
    `static int` | `TOP_LEVEL_COUNT`
    `static int` | `TRAILING`
    `static int` | `TRANSACTION`
    `static int` | `TRANSACTIONS_ACTIVE`
    `static int` | `TRANSACTIONS_COMMITTED`
    `static int` | `TRANSACTIONS_ROLLED_BACK`
    `static int` | `TRANSFORM`
    `static int` | `TRANSFORMS`
    `static int` | `TRANSLATE`
    `static int` | `TRANSLATE_REGEX`
    `static int` | `TRANSLATION`
    `static int` | `TREAT`
    `static int` | `TRIGGER`
    `static int` | `TRIGGER_CATALOG`
    `static int` | `TRIGGER_NAME`
    `static int` | `TRIGGER_SCHEMA`
    `static int` | `TRIM`
    `static int` | `TRIM_ARRAY`
    `static int` | `TRUE`
    `static int` | `TRUNCATE`
    `static int` | `TYPE`
    `static int` | `UESCAPE`
    `static int` | `UNBOUNDED`
    `static int` | `UNCOMMITTED`
    `static int` | `UNDER`
    `static int` | `UNICODE_QUOTED_ESCAPE_CHAR`
    `static int` | `UNICODE_QUOTED_IDENTIFIER`
    `static int` | `UNICODE_STRING_LITERAL`
    `static int` | `UNION`
    `static int` | `UNIQUE`
    `static int` | `UNKNOWN`
    `static int` | `UNNAMED`
    `static int` | `UNNEST`
    `static int` | `UNSIGNED_INTEGER_LITERAL`
    `static int` | `UPDATE`
    `static int` | `UPPER`
    `static int` | `UPSERT`
    `static int` | `USAGE`
    `static int` | `USER`
    `static int` | `USER_DEFINED_TYPE_CATALOG`
    `static int` | `USER_DEFINED_TYPE_CODE`
    `static int` | `USER_DEFINED_TYPE_NAME`
    `static int` | `USER_DEFINED_TYPE_SCHEMA`
    `static int` | `USING`
    `static int` | `VALUE`
    `static int` | `VALUE_OF`
    `static int` | `VALUES`
    `static int` | `VAR_POP`
    `static int` | `VAR_SAMP`
    `static int` | `VARBINARY`
    `static int` | `VARCHAR`
    `static int` | `VARYING`
    `static int` | `VERSION`
    `static int` | `VERSIONING`
    `static int` | `VERTICAL_BAR`
    `static int` | `VIEW`
    `static int` | `WEEK`
    `static int` | `WHEN`
    `static int` | `WHENEVER`
    `static int` | `WHERE`
    `static int` | `WHITESPACE`
    `static int` | `WIDTH_BUCKET`
    `static int` | `WINDOW`
    `static int` | `WITH`
    `static int` | `WITHIN`
    `static int` | `WITHOUT`
    `static int` | `WORK`
    `static int` | `WRAPPER`
    `static int` | `WRITE`
    `static int` | `XML`
    `static int` | `YEAR`
    `static int` | `ZONE`

- - ### Field Detail

    - #### EOF

          static final int EOF

      See Also:
        Constant Field Values

    - #### A

          static final int A

      See Also:
        Constant Field Values

    - #### ABS

          static final int ABS

      See Also:
        Constant Field Values

    - #### ABSOLUTE

          static final int ABSOLUTE

      See Also:
        Constant Field Values

    - #### ACTION

          static final int ACTION

      See Also:
        Constant Field Values

    - #### ADA

          static final int ADA

      See Also:
        Constant Field Values

    - #### ADD

          static final int ADD

      See Also:
        Constant Field Values

    - #### ADMIN

          static final int ADMIN

      See Also:
        Constant Field Values

    - #### AFTER

          static final int AFTER

      See Also:
        Constant Field Values

    - #### ALL

          static final int ALL

      See Also:
        Constant Field Values

    - #### ALLOCATE

          static final int ALLOCATE

      See Also:
        Constant Field Values

    - #### ALLOW

          static final int ALLOW

      See Also:
        Constant Field Values

    - #### ALTER

          static final int ALTER

      See Also:
        Constant Field Values

    - #### ALWAYS

          static final int ALWAYS

      See Also:
        Constant Field Values

    - #### AND

          static final int AND

      See Also:
        Constant Field Values

    - #### ANY

          static final int ANY

      See Also:
        Constant Field Values

    - #### APPLY

          static final int APPLY

      See Also:
        Constant Field Values

    - #### ARE

          static final int ARE

      See Also:
        Constant Field Values

    - #### ARRAY

          static final int ARRAY

      See Also:
        Constant Field Values

    - #### ARRAY_MAX_CARDINALITY

          static final int ARRAY_MAX_CARDINALITY

      See Also:
        Constant Field Values

    - #### AS

          static final int AS

      See Also:
        Constant Field Values

    - #### ASC

          static final int ASC

      See Also:
        Constant Field Values

    - #### ASENSITIVE

          static final int ASENSITIVE

      See Also:
        Constant Field Values

    - #### ASSERTION

          static final int ASSERTION

      See Also:
        Constant Field Values

    - #### ASSIGNMENT

          static final int ASSIGNMENT

      See Also:
        Constant Field Values

    - #### ASYMMETRIC

          static final int ASYMMETRIC

      See Also:
        Constant Field Values

    - #### AT

          static final int AT

      See Also:
        Constant Field Values

    - #### ATOMIC

          static final int ATOMIC

      See Also:
        Constant Field Values

    - #### ATTRIBUTE

          static final int ATTRIBUTE

      See Also:
        Constant Field Values

    - #### ATTRIBUTES

          static final int ATTRIBUTES

      See Also:
        Constant Field Values

    - #### AUTHORIZATION

          static final int AUTHORIZATION

      See Also:
        Constant Field Values

    - #### AVG

          static final int AVG

      See Also:
        Constant Field Values

    - #### BEFORE

          static final int BEFORE

      See Also:
        Constant Field Values

    - #### BEGIN

          static final int BEGIN

      See Also:
        Constant Field Values

    - #### BEGIN_FRAME

          static final int BEGIN_FRAME

      See Also:
        Constant Field Values

    - #### BEGIN_PARTITION

          static final int BEGIN_PARTITION

      See Also:
        Constant Field Values

    - #### BERNOULLI

          static final int BERNOULLI

      See Also:
        Constant Field Values

    - #### BETWEEN

          static final int BETWEEN

      See Also:
        Constant Field Values

    - #### BIGINT

          static final int BIGINT

      See Also:
        Constant Field Values

    - #### BINARY

          static final int BINARY

      See Also:
        Constant Field Values

    - #### BIT

          static final int BIT

      See Also:
        Constant Field Values

    - #### BLOB

          static final int BLOB

      See Also:
        Constant Field Values

    - #### BOOLEAN

          static final int BOOLEAN

      See Also:
        Constant Field Values

    - #### BOTH

          static final int BOTH

      See Also:
        Constant Field Values

    - #### BREADTH

          static final int BREADTH

      See Also:
        Constant Field Values

    - #### BY

          static final int BY

      See Also:
        Constant Field Values

    - #### C

          static final int C

      See Also:
        Constant Field Values

    - #### CALL

          static final int CALL

      See Also:
        Constant Field Values

    - #### CALLED

          static final int CALLED

      See Also:
        Constant Field Values

    - #### CARDINALITY

          static final int CARDINALITY

      See Also:
        Constant Field Values

    - #### CASCADE

          static final int CASCADE

      See Also:
        Constant Field Values

    - #### CASCADED

          static final int CASCADED

      See Also:
        Constant Field Values

    - #### CASE

          static final int CASE

      See Also:
        Constant Field Values

    - #### CAST

          static final int CAST

      See Also:
        Constant Field Values

    - #### CATALOG

          static final int CATALOG

      See Also:
        Constant Field Values

    - #### CATALOG_NAME

          static final int CATALOG_NAME

      See Also:
        Constant Field Values

    - #### CEIL

          static final int CEIL

      See Also:
        Constant Field Values

    - #### CEILING

          static final int CEILING

      See Also:
        Constant Field Values

    - #### CENTURY

          static final int CENTURY

      See Also:
        Constant Field Values

    - #### CHAIN

          static final int CHAIN

      See Also:
        Constant Field Values

    - #### CHAR

          static final int CHAR

      See Also:
        Constant Field Values

    - #### CHAR_LENGTH

          static final int CHAR_LENGTH

      See Also:
        Constant Field Values

    - #### CHARACTER

          static final int CHARACTER

      See Also:
        Constant Field Values

    - #### CHARACTER_LENGTH

          static final int CHARACTER_LENGTH

      See Also:
        Constant Field Values

    - #### CHARACTER_SET_CATALOG

          static final int CHARACTER_SET_CATALOG

      See Also:
        Constant Field Values

    - #### CHARACTER_SET_NAME

          static final int CHARACTER_SET_NAME

      See Also:
        Constant Field Values

    - #### CHARACTER_SET_SCHEMA

          static final int CHARACTER_SET_SCHEMA

      See Also:
        Constant Field Values

    - #### CHARACTERISTICS

          static final int CHARACTERISTICS

      See Also:
        Constant Field Values

    - #### CHARACTERS

          static final int CHARACTERS

      See Also:
        Constant Field Values

    - #### CHECK

          static final int CHECK

      See Also:
        Constant Field Values

    - #### CLASSIFIER

          static final int CLASSIFIER

      See Also:
        Constant Field Values

    - #### CLASS_ORIGIN

          static final int CLASS_ORIGIN

      See Also:
        Constant Field Values

    - #### CLOB

          static final int CLOB

      See Also:
        Constant Field Values

    - #### CLOSE

          static final int CLOSE

      See Also:
        Constant Field Values

    - #### COALESCE

          static final int COALESCE

      See Also:
        Constant Field Values

    - #### COBOL

          static final int COBOL

      See Also:
        Constant Field Values

    - #### COLLATE

          static final int COLLATE

      See Also:
        Constant Field Values

    - #### COLLATION

          static final int COLLATION

      See Also:
        Constant Field Values

    - #### COLLATION_CATALOG

          static final int COLLATION_CATALOG

      See Also:
        Constant Field Values

    - #### COLLATION_NAME

          static final int COLLATION_NAME

      See Also:
        Constant Field Values

    - #### COLLATION_SCHEMA

          static final int COLLATION_SCHEMA

      See Also:
        Constant Field Values

    - #### COLLECT

          static final int COLLECT

      See Also:
        Constant Field Values

    - #### COLUMN

          static final int COLUMN

      See Also:
        Constant Field Values

    - #### COLUMN_NAME

          static final int COLUMN_NAME

      See Also:
        Constant Field Values

    - #### COMMAND_FUNCTION

          static final int COMMAND_FUNCTION

      See Also:
        Constant Field Values

    - #### COMMAND_FUNCTION_CODE

          static final int COMMAND_FUNCTION_CODE

      See Also:
        Constant Field Values

    - #### COMMIT

          static final int COMMIT

      See Also:
        Constant Field Values

    - #### COMMITTED

          static final int COMMITTED

      See Also:
        Constant Field Values

    - #### CONDITION

          static final int CONDITION

      See Also:
        Constant Field Values

    - #### CONDITION_NUMBER

          static final int CONDITION_NUMBER

      See Also:
        Constant Field Values

    - #### CONNECT

          static final int CONNECT

      See Also:
        Constant Field Values

    - #### CONNECTION

          static final int CONNECTION

      See Also:
        Constant Field Values

    - #### CONNECTION_NAME

          static final int CONNECTION_NAME

      See Also:
        Constant Field Values

    - #### CONSTRAINT

          static final int CONSTRAINT

      See Also:
        Constant Field Values

    - #### CONSTRAINT_CATALOG

          static final int CONSTRAINT_CATALOG

      See Also:
        Constant Field Values

    - #### CONSTRAINT_NAME

          static final int CONSTRAINT_NAME

      See Also:
        Constant Field Values

    - #### CONSTRAINT_SCHEMA

          static final int CONSTRAINT_SCHEMA

      See Also:
        Constant Field Values

    - #### CONSTRAINTS

          static final int CONSTRAINTS

      See Also:
        Constant Field Values

    - #### CONSTRUCTOR

          static final int CONSTRUCTOR

      See Also:
        Constant Field Values

    - #### CONTAINS

          static final int CONTAINS

      See Also:
        Constant Field Values

    - #### CONTINUE

          static final int CONTINUE

      See Also:
        Constant Field Values

    - #### CONVERT

          static final int CONVERT

      See Also:
        Constant Field Values

    - #### CORR

          static final int CORR

      See Also:
        Constant Field Values

    - #### CORRESPONDING

          static final int CORRESPONDING

      See Also:
        Constant Field Values

    - #### COUNT

          static final int COUNT

      See Also:
        Constant Field Values

    - #### COVAR_POP

          static final int COVAR_POP

      See Also:
        Constant Field Values

    - #### COVAR_SAMP

          static final int COVAR_SAMP

      See Also:
        Constant Field Values

    - #### CREATE

          static final int CREATE

      See Also:
        Constant Field Values

    - #### CROSS

          static final int CROSS

      See Also:
        Constant Field Values

    - #### CUBE

          static final int CUBE

      See Also:
        Constant Field Values

    - #### CUME_DIST

          static final int CUME_DIST

      See Also:
        Constant Field Values

    - #### CURRENT

          static final int CURRENT

      See Also:
        Constant Field Values

    - #### CURRENT_CATALOG

          static final int CURRENT_CATALOG

      See Also:
        Constant Field Values

    - #### CURRENT_DATE

          static final int CURRENT_DATE

      See Also:
        Constant Field Values

    - #### CURRENT_DEFAULT_TRANSFORM_GROUP

          static final int CURRENT_DEFAULT_TRANSFORM_GROUP

      See Also:
        Constant Field Values

    - #### CURRENT_PATH

          static final int CURRENT_PATH

      See Also:
        Constant Field Values

    - #### CURRENT_ROLE

          static final int CURRENT_ROLE

      See Also:
        Constant Field Values

    - #### CURRENT_ROW

          static final int CURRENT_ROW

      See Also:
        Constant Field Values

    - #### CURRENT_SCHEMA

          static final int CURRENT_SCHEMA

      See Also:
        Constant Field Values

    - #### CURRENT_TIME

          static final int CURRENT_TIME

      See Also:
        Constant Field Values

    - #### CURRENT_TIMESTAMP

          static final int CURRENT_TIMESTAMP

      See Also:
        Constant Field Values

    - #### CURRENT_TRANSFORM_GROUP_FOR_TYPE

          static final int CURRENT_TRANSFORM_GROUP_FOR_TYPE

      See Also:
        Constant Field Values

    - #### CURRENT_USER

          static final int CURRENT_USER

      See Also:
        Constant Field Values

    - #### CURSOR

          static final int CURSOR

      See Also:
        Constant Field Values

    - #### CURSOR_NAME

          static final int CURSOR_NAME

      See Also:
        Constant Field Values

    - #### CYCLE

          static final int CYCLE

      See Also:
        Constant Field Values

    - #### DATA

          static final int DATA

      See Also:
        Constant Field Values

    - #### DATABASE

          static final int DATABASE

      See Also:
        Constant Field Values

    - #### DATE

          static final int DATE

      See Also:
        Constant Field Values

    - #### DATETIME_INTERVAL_CODE

          static final int DATETIME_INTERVAL_CODE

      See Also:
        Constant Field Values

    - #### DATETIME_INTERVAL_PRECISION

          static final int DATETIME_INTERVAL_PRECISION

      See Also:
        Constant Field Values

    - #### DAY

          static final int DAY

      See Also:
        Constant Field Values

    - #### DEALLOCATE

          static final int DEALLOCATE

      See Also:
        Constant Field Values

    - #### DEC

          static final int DEC

      See Also:
        Constant Field Values

    - #### DECADE

          static final int DECADE

      See Also:
        Constant Field Values

    - #### DECIMAL

          static final int DECIMAL

      See Also:
        Constant Field Values

    - #### DECLARE

          static final int DECLARE

      See Also:
        Constant Field Values

    - #### DEFAULT_

          static final int DEFAULT_

      See Also:
        Constant Field Values

    - #### DEFAULTS

          static final int DEFAULTS

      See Also:
        Constant Field Values

    - #### DEFERRABLE

          static final int DEFERRABLE

      See Also:
        Constant Field Values

    - #### DEFERRED

          static final int DEFERRED

      See Also:
        Constant Field Values

    - #### DEFINE

          static final int DEFINE

      See Also:
        Constant Field Values

    - #### DEFINED

          static final int DEFINED

      See Also:
        Constant Field Values

    - #### DEFINER

          static final int DEFINER

      See Also:
        Constant Field Values

    - #### DEGREE

          static final int DEGREE

      See Also:
        Constant Field Values

    - #### DELETE

          static final int DELETE

      See Also:
        Constant Field Values

    - #### DENSE_RANK

          static final int DENSE_RANK

      See Also:
        Constant Field Values

    - #### DEPTH

          static final int DEPTH

      See Also:
        Constant Field Values

    - #### DEREF

          static final int DEREF

      See Also:
        Constant Field Values

    - #### DERIVED

          static final int DERIVED

      See Also:
        Constant Field Values

    - #### DESC

          static final int DESC

      See Also:
        Constant Field Values

    - #### DESCRIBE

          static final int DESCRIBE

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          static final int DESCRIPTION

      See Also:
        Constant Field Values

    - #### DESCRIPTOR

          static final int DESCRIPTOR

      See Also:
        Constant Field Values

    - #### DETERMINISTIC

          static final int DETERMINISTIC

      See Also:
        Constant Field Values

    - #### DIAGNOSTICS

          static final int DIAGNOSTICS

      See Also:
        Constant Field Values

    - #### DISALLOW

          static final int DISALLOW

      See Also:
        Constant Field Values

    - #### DISCONNECT

          static final int DISCONNECT

      See Also:
        Constant Field Values

    - #### DISPATCH

          static final int DISPATCH

      See Also:
        Constant Field Values

    - #### DISTINCT

          static final int DISTINCT

      See Also:
        Constant Field Values

    - #### DOMAIN

          static final int DOMAIN

      See Also:
        Constant Field Values

    - #### DOUBLE

          static final int DOUBLE

      See Also:
        Constant Field Values

    - #### DOW

          static final int DOW

      See Also:
        Constant Field Values

    - #### DOY

          static final int DOY

      See Also:
        Constant Field Values

    - #### DROP

          static final int DROP

      See Also:
        Constant Field Values

    - #### DYNAMIC

          static final int DYNAMIC

      See Also:
        Constant Field Values

    - #### DYNAMIC_FUNCTION

          static final int DYNAMIC_FUNCTION

      See Also:
        Constant Field Values

    - #### DYNAMIC_FUNCTION_CODE

          static final int DYNAMIC_FUNCTION_CODE

      See Also:
        Constant Field Values

    - #### EACH

          static final int EACH

      See Also:
        Constant Field Values

    - #### ELEMENT

          static final int ELEMENT

      See Also:
        Constant Field Values

    - #### ELSE

          static final int ELSE

      See Also:
        Constant Field Values

    - #### EMPTY

          static final int EMPTY

      See Also:
        Constant Field Values

    - #### END

          static final int END

      See Also:
        Constant Field Values

    - #### END_EXEC

          static final int END_EXEC

      See Also:
        Constant Field Values

    - #### END_FRAME

          static final int END_FRAME

      See Also:
        Constant Field Values

    - #### END_PARTITION

          static final int END_PARTITION

      See Also:
        Constant Field Values

    - #### EPOCH

          static final int EPOCH

      See Also:
        Constant Field Values

    - #### EQUALS

          static final int EQUALS

      See Also:
        Constant Field Values

    - #### ESCAPE

          static final int ESCAPE

      See Also:
        Constant Field Values

    - #### EVERY

          static final int EVERY

      See Also:
        Constant Field Values

    - #### EXCEPT

          static final int EXCEPT

      See Also:
        Constant Field Values

    - #### EXCEPTION

          static final int EXCEPTION

      See Also:
        Constant Field Values

    - #### EXCLUDE

          static final int EXCLUDE

      See Also:
        Constant Field Values

    - #### EXCLUDING

          static final int EXCLUDING

      See Also:
        Constant Field Values

    - #### EXEC

          static final int EXEC

      See Also:
        Constant Field Values

    - #### EXECUTE

          static final int EXECUTE

      See Also:
        Constant Field Values

    - #### EXISTS

          static final int EXISTS

      See Also:
        Constant Field Values

    - #### EXP

          static final int EXP

      See Also:
        Constant Field Values

    - #### EXPLAIN

          static final int EXPLAIN

      See Also:
        Constant Field Values

    - #### EXTEND

          static final int EXTEND

      See Also:
        Constant Field Values

    - #### EXTERNAL

          static final int EXTERNAL

      See Also:
        Constant Field Values

    - #### EXTRACT

          static final int EXTRACT

      See Also:
        Constant Field Values

    - #### FALSE

          static final int FALSE

      See Also:
        Constant Field Values

    - #### FETCH

          static final int FETCH

      See Also:
        Constant Field Values

    - #### FILTER

          static final int FILTER

      See Also:
        Constant Field Values

    - #### FINAL

          static final int FINAL

      See Also:
        Constant Field Values

    - #### FIRST

          static final int FIRST

      See Also:
        Constant Field Values

    - #### FIRST_VALUE

          static final int FIRST_VALUE

      See Also:
        Constant Field Values

    - #### FLOAT

          static final int FLOAT

      See Also:
        Constant Field Values

    - #### FLOOR

          static final int FLOOR

      See Also:
        Constant Field Values

    - #### FOLLOWING

          static final int FOLLOWING

      See Also:
        Constant Field Values

    - #### FOR

          static final int FOR

      See Also:
        Constant Field Values

    - #### FOREIGN

          static final int FOREIGN

      See Also:
        Constant Field Values

    - #### FORTRAN

          static final int FORTRAN

      See Also:
        Constant Field Values

    - #### FOUND

          static final int FOUND

      See Also:
        Constant Field Values

    - #### FRAC_SECOND

          static final int FRAC_SECOND

      See Also:
        Constant Field Values

    - #### FRAME_ROW

          static final int FRAME_ROW

      See Also:
        Constant Field Values

    - #### FREE

          static final int FREE

      See Also:
        Constant Field Values

    - #### FROM

          static final int FROM

      See Also:
        Constant Field Values

    - #### FULL

          static final int FULL

      See Also:
        Constant Field Values

    - #### FUNCTION

          static final int FUNCTION

      See Also:
        Constant Field Values

    - #### FUSION

          static final int FUSION

      See Also:
        Constant Field Values

    - #### G

          static final int G

      See Also:
        Constant Field Values

    - #### GENERAL

          static final int GENERAL

      See Also:
        Constant Field Values

    - #### GENERATED

          static final int GENERATED

      See Also:
        Constant Field Values

    - #### GEOMETRY

          static final int GEOMETRY

      See Also:
        Constant Field Values

    - #### GET

          static final int GET

      See Also:
        Constant Field Values

    - #### GLOBAL

          static final int GLOBAL

      See Also:
        Constant Field Values

    - #### GO

          static final int GO

      See Also:
        Constant Field Values

    - #### GOTO

          static final int GOTO

      See Also:
        Constant Field Values

    - #### GRANT

          static final int GRANT

      See Also:
        Constant Field Values

    - #### GRANTED

          static final int GRANTED

      See Also:
        Constant Field Values

    - #### GROUP

          static final int GROUP

      See Also:
        Constant Field Values

    - #### GROUPING

          static final int GROUPING

      See Also:
        Constant Field Values

    - #### GROUPS

          static final int GROUPS

      See Also:
        Constant Field Values

    - #### HAVING

          static final int HAVING

      See Also:
        Constant Field Values

    - #### HIERARCHY

          static final int HIERARCHY

      See Also:
        Constant Field Values

    - #### HOLD

          static final int HOLD

      See Also:
        Constant Field Values

    - #### HOUR

          static final int HOUR

      See Also:
        Constant Field Values

    - #### IDENTITY

          static final int IDENTITY

      See Also:
        Constant Field Values

    - #### IMMEDIATE

          static final int IMMEDIATE

      See Also:
        Constant Field Values

    - #### IMMEDIATELY

          static final int IMMEDIATELY

      See Also:
        Constant Field Values

    - #### IMPLEMENTATION

          static final int IMPLEMENTATION

      See Also:
        Constant Field Values

    - #### IMPORT

          static final int IMPORT

      See Also:
        Constant Field Values

    - #### IN

          static final int IN

      See Also:
        Constant Field Values

    - #### INCLUDING

          static final int INCLUDING

      See Also:
        Constant Field Values

    - #### INCREMENT

          static final int INCREMENT

      See Also:
        Constant Field Values

    - #### INDICATOR

          static final int INDICATOR

      See Also:
        Constant Field Values

    - #### INITIAL

          static final int INITIAL

      See Also:
        Constant Field Values

    - #### INITIALLY

          static final int INITIALLY

      See Also:
        Constant Field Values

    - #### INNER

          static final int INNER

      See Also:
        Constant Field Values

    - #### INOUT

          static final int INOUT

      See Also:
        Constant Field Values

    - #### INPUT

          static final int INPUT

      See Also:
        Constant Field Values

    - #### INSENSITIVE

          static final int INSENSITIVE

      See Also:
        Constant Field Values

    - #### INSERT

          static final int INSERT

      See Also:
        Constant Field Values

    - #### INSTANCE

          static final int INSTANCE

      See Also:
        Constant Field Values

    - #### INSTANTIABLE

          static final int INSTANTIABLE

      See Also:
        Constant Field Values

    - #### INT

          static final int INT

      See Also:
        Constant Field Values

    - #### INTEGER

          static final int INTEGER

      See Also:
        Constant Field Values

    - #### INTERSECT

          static final int INTERSECT

      See Also:
        Constant Field Values

    - #### INTERSECTION

          static final int INTERSECTION

      See Also:
        Constant Field Values

    - #### INTERVAL

          static final int INTERVAL

      See Also:
        Constant Field Values

    - #### INTO

          static final int INTO

      See Also:
        Constant Field Values

    - #### INVOKER

          static final int INVOKER

      See Also:
        Constant Field Values

    - #### IS

          static final int IS

      See Also:
        Constant Field Values

    - #### ISOLATION

          static final int ISOLATION

      See Also:
        Constant Field Values

    - #### JAVA

          static final int JAVA

      See Also:
        Constant Field Values

    - #### JOIN

          static final int JOIN

      See Also:
        Constant Field Values

    - #### JSON

          static final int JSON

      See Also:
        Constant Field Values

    - #### K

          static final int K

      See Also:
        Constant Field Values

    - #### KEY

          static final int KEY

      See Also:
        Constant Field Values

    - #### KEY_MEMBER

          static final int KEY_MEMBER

      See Also:
        Constant Field Values

    - #### KEY_TYPE

          static final int KEY_TYPE

      See Also:
        Constant Field Values

    - #### LABEL

          static final int LABEL

      See Also:
        Constant Field Values

    - #### LAG

          static final int LAG

      See Also:
        Constant Field Values

    - #### LANGUAGE

          static final int LANGUAGE

      See Also:
        Constant Field Values

    - #### LARGE

          static final int LARGE

      See Also:
        Constant Field Values

    - #### LAST

          static final int LAST

      See Also:
        Constant Field Values

    - #### LAST_VALUE

          static final int LAST_VALUE

      See Also:
        Constant Field Values

    - #### LATERAL

          static final int LATERAL

      See Also:
        Constant Field Values

    - #### LEAD

          static final int LEAD

      See Also:
        Constant Field Values

    - #### LEADING

          static final int LEADING

      See Also:
        Constant Field Values

    - #### LEFT

          static final int LEFT

      See Also:
        Constant Field Values

    - #### LENGTH

          static final int LENGTH

      See Also:
        Constant Field Values

    - #### LEVEL

          static final int LEVEL

      See Also:
        Constant Field Values

    - #### LIBRARY

          static final int LIBRARY

      See Also:
        Constant Field Values

    - #### LIKE

          static final int LIKE

      See Also:
        Constant Field Values

    - #### LIKE_REGEX

          static final int LIKE_REGEX

      See Also:
        Constant Field Values

    - #### LIMIT

          static final int LIMIT

      See Also:
        Constant Field Values

    - #### LN

          static final int LN

      See Also:
        Constant Field Values

    - #### LOCAL

          static final int LOCAL

      See Also:
        Constant Field Values

    - #### LOCALTIME

          static final int LOCALTIME

      See Also:
        Constant Field Values

    - #### LOCALTIMESTAMP

          static final int LOCALTIMESTAMP

      See Also:
        Constant Field Values

    - #### LOCATOR

          static final int LOCATOR

      See Also:
        Constant Field Values

    - #### LOWER

          static final int LOWER

      See Also:
        Constant Field Values

    - #### M

          static final int M

      See Also:
        Constant Field Values

    - #### MAP

          static final int MAP

      See Also:
        Constant Field Values

    - #### MATCH

          static final int MATCH

      See Also:
        Constant Field Values

    - #### MATCHED

          static final int MATCHED

      See Also:
        Constant Field Values

    - #### MATCHES

          static final int MATCHES

      See Also:
        Constant Field Values

    - #### MATCH_NUMBER

          static final int MATCH_NUMBER

      See Also:
        Constant Field Values

    - #### MATCH_RECOGNIZE

          static final int MATCH_RECOGNIZE

      See Also:
        Constant Field Values

    - #### MAX

          static final int MAX

      See Also:
        Constant Field Values

    - #### MAXVALUE

          static final int MAXVALUE

      See Also:
        Constant Field Values

    - #### MEASURES

          static final int MEASURES

      See Also:
        Constant Field Values

    - #### MEMBER

          static final int MEMBER

      See Also:
        Constant Field Values

    - #### MERGE

          static final int MERGE

      See Also:
        Constant Field Values

    - #### MESSAGE_LENGTH

          static final int MESSAGE_LENGTH

      See Also:
        Constant Field Values

    - #### MESSAGE_OCTET_LENGTH

          static final int MESSAGE_OCTET_LENGTH

      See Also:
        Constant Field Values

    - #### MESSAGE_TEXT

          static final int MESSAGE_TEXT

      See Also:
        Constant Field Values

    - #### METHOD

          static final int METHOD

      See Also:
        Constant Field Values

    - #### MICROSECOND

          static final int MICROSECOND

      See Also:
        Constant Field Values

    - #### MILLENNIUM

          static final int MILLENNIUM

      See Also:
        Constant Field Values

    - #### MIN

          static final int MIN

      See Also:
        Constant Field Values

    - #### MINUTE

          static final int MINUTE

      See Also:
        Constant Field Values

    - #### MINVALUE

          static final int MINVALUE

      See Also:
        Constant Field Values

    - #### MOD

          static final int MOD

      See Also:
        Constant Field Values

    - #### MODIFIES

          static final int MODIFIES

      See Also:
        Constant Field Values

    - #### MODULE

          static final int MODULE

      See Also:
        Constant Field Values

    - #### MONTH

          static final int MONTH

      See Also:
        Constant Field Values

    - #### MORE_

          static final int MORE_

      See Also:
        Constant Field Values

    - #### MULTISET

          static final int MULTISET

      See Also:
        Constant Field Values

    - #### MUMPS

          static final int MUMPS

      See Also:
        Constant Field Values

    - #### NAME

          static final int NAME

      See Also:
        Constant Field Values

    - #### NAMES

          static final int NAMES

      See Also:
        Constant Field Values

    - #### NATIONAL

          static final int NATIONAL

      See Also:
        Constant Field Values

    - #### NATURAL

          static final int NATURAL

      See Also:
        Constant Field Values

    - #### NCHAR

          static final int NCHAR

      See Also:
        Constant Field Values

    - #### NCLOB

          static final int NCLOB

      See Also:
        Constant Field Values

    - #### NESTING

          static final int NESTING

      See Also:
        Constant Field Values

    - #### NEW

          static final int NEW

      See Also:
        Constant Field Values

    - #### NEXT

          static final int NEXT

      See Also:
        Constant Field Values

    - #### NO

          static final int NO

      See Also:
        Constant Field Values

    - #### NONE

          static final int NONE

      See Also:
        Constant Field Values

    - #### NORMALIZE

          static final int NORMALIZE

      See Also:
        Constant Field Values

    - #### NORMALIZED

          static final int NORMALIZED

      See Also:
        Constant Field Values

    - #### NOT

          static final int NOT

      See Also:
        Constant Field Values

    - #### NTH_VALUE

          static final int NTH_VALUE

      See Also:
        Constant Field Values

    - #### NTILE

          static final int NTILE

      See Also:
        Constant Field Values

    - #### NULL

          static final int NULL

      See Also:
        Constant Field Values

    - #### NULLABLE

          static final int NULLABLE

      See Also:
        Constant Field Values

    - #### NULLIF

          static final int NULLIF

      See Also:
        Constant Field Values

    - #### NULLS

          static final int NULLS

      See Also:
        Constant Field Values

    - #### NUMBER

          static final int NUMBER

      See Also:
        Constant Field Values

    - #### NUMERIC

          static final int NUMERIC

      See Also:
        Constant Field Values

    - #### OBJECT

          static final int OBJECT

      See Also:
        Constant Field Values

    - #### OCCURRENCES_REGEX

          static final int OCCURRENCES_REGEX

      See Also:
        Constant Field Values

    - #### OCTET_LENGTH

          static final int OCTET_LENGTH

      See Also:
        Constant Field Values

    - #### OCTETS

          static final int OCTETS

      See Also:
        Constant Field Values

    - #### OF

          static final int OF

      See Also:
        Constant Field Values

    - #### OFFSET

          static final int OFFSET

      See Also:
        Constant Field Values

    - #### OLD

          static final int OLD

      See Also:
        Constant Field Values

    - #### OMIT

          static final int OMIT

      See Also:
        Constant Field Values

    - #### ON

          static final int ON

      See Also:
        Constant Field Values

    - #### ONE

          static final int ONE

      See Also:
        Constant Field Values

    - #### ONLY

          static final int ONLY

      See Also:
        Constant Field Values

    - #### OPEN

          static final int OPEN

      See Also:
        Constant Field Values

    - #### OPTION

          static final int OPTION

      See Also:
        Constant Field Values

    - #### OPTIONS

          static final int OPTIONS

      See Also:
        Constant Field Values

    - #### OR

          static final int OR

      See Also:
        Constant Field Values

    - #### ORDER

          static final int ORDER

      See Also:
        Constant Field Values

    - #### ORDERING

          static final int ORDERING

      See Also:
        Constant Field Values

    - #### ORDINALITY

          static final int ORDINALITY

      See Also:
        Constant Field Values

    - #### OTHERS

          static final int OTHERS

      See Also:
        Constant Field Values

    - #### OUT

          static final int OUT

      See Also:
        Constant Field Values

    - #### OUTER

          static final int OUTER

      See Also:
        Constant Field Values

    - #### OUTPUT

          static final int OUTPUT

      See Also:
        Constant Field Values

    - #### OVER

          static final int OVER

      See Also:
        Constant Field Values

    - #### OVERLAPS

          static final int OVERLAPS

      See Also:
        Constant Field Values

    - #### OVERLAY

          static final int OVERLAY

      See Also:
        Constant Field Values

    - #### OVERRIDING

          static final int OVERRIDING

      See Also:
        Constant Field Values

    - #### PAD

          static final int PAD

      See Also:
        Constant Field Values

    - #### PARAMETER

          static final int PARAMETER

      See Also:
        Constant Field Values

    - #### PARAMETER_MODE

          static final int PARAMETER_MODE

      See Also:
        Constant Field Values

    - #### PARAMETER_NAME

          static final int PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### PARAMETER_ORDINAL_POSITION

          static final int PARAMETER_ORDINAL_POSITION

      See Also:
        Constant Field Values

    - #### PARAMETER_SPECIFIC_CATALOG

          static final int PARAMETER_SPECIFIC_CATALOG

      See Also:
        Constant Field Values

    - #### PARAMETER_SPECIFIC_NAME

          static final int PARAMETER_SPECIFIC_NAME

      See Also:
        Constant Field Values

    - #### PARAMETER_SPECIFIC_SCHEMA

          static final int PARAMETER_SPECIFIC_SCHEMA

      See Also:
        Constant Field Values

    - #### PARTIAL

          static final int PARTIAL

      See Also:
        Constant Field Values

    - #### PARTITION

          static final int PARTITION

      See Also:
        Constant Field Values

    - #### PASCAL

          static final int PASCAL

      See Also:
        Constant Field Values

    - #### PASSTHROUGH

          static final int PASSTHROUGH

      See Also:
        Constant Field Values

    - #### PAST

          static final int PAST

      See Also:
        Constant Field Values

    - #### PATH

          static final int PATH

      See Also:
        Constant Field Values

    - #### PATTERN

          static final int PATTERN

      See Also:
        Constant Field Values

    - #### PER

          static final int PER

      See Also:
        Constant Field Values

    - #### PERCENT

          static final int PERCENT

      See Also:
        Constant Field Values

    - #### PERCENTILE_CONT

          static final int PERCENTILE_CONT

      See Also:
        Constant Field Values

    - #### PERCENTILE_DISC

          static final int PERCENTILE_DISC

      See Also:
        Constant Field Values

    - #### PERCENT_RANK

          static final int PERCENT_RANK

      See Also:
        Constant Field Values

    - #### PERIOD

          static final int PERIOD

      See Also:
        Constant Field Values

    - #### PERMUTE

          static final int PERMUTE

      See Also:
        Constant Field Values

    - #### PLACING

          static final int PLACING

      See Also:
        Constant Field Values

    - #### PLAN

          static final int PLAN

      See Also:
        Constant Field Values

    - #### PLI

          static final int PLI

      See Also:
        Constant Field Values

    - #### PORTION

          static final int PORTION

      See Also:
        Constant Field Values

    - #### POSITION

          static final int POSITION

      See Also:
        Constant Field Values

    - #### POSITION_REGEX

          static final int POSITION_REGEX

      See Also:
        Constant Field Values

    - #### POWER

          static final int POWER

      See Also:
        Constant Field Values

    - #### PRECEDES

          static final int PRECEDES

      See Also:
        Constant Field Values

    - #### PRECEDING

          static final int PRECEDING

      See Also:
        Constant Field Values

    - #### PRECISION

          static final int PRECISION

      See Also:
        Constant Field Values

    - #### PREPARE

          static final int PREPARE

      See Also:
        Constant Field Values

    - #### PRESERVE

          static final int PRESERVE

      See Also:
        Constant Field Values

    - #### PREV

          static final int PREV

      See Also:
        Constant Field Values

    - #### PRIMARY

          static final int PRIMARY

      See Also:
        Constant Field Values

    - #### PRIOR

          static final int PRIOR

      See Also:
        Constant Field Values

    - #### PRIVILEGES

          static final int PRIVILEGES

      See Also:
        Constant Field Values

    - #### PROCEDURE

          static final int PROCEDURE

      See Also:
        Constant Field Values

    - #### PUBLIC

          static final int PUBLIC

      See Also:
        Constant Field Values

    - #### QUARTER

          static final int QUARTER

      See Also:
        Constant Field Values

    - #### RANGE

          static final int RANGE

      See Also:
        Constant Field Values

    - #### RANK

          static final int RANK

      See Also:
        Constant Field Values

    - #### READ

          static final int READ

      See Also:
        Constant Field Values

    - #### READS

          static final int READS

      See Also:
        Constant Field Values

    - #### REAL

          static final int REAL

      See Also:
        Constant Field Values

    - #### RECURSIVE

          static final int RECURSIVE

      See Also:
        Constant Field Values

    - #### REF

          static final int REF

      See Also:
        Constant Field Values

    - #### REFERENCES

          static final int REFERENCES

      See Also:
        Constant Field Values

    - #### REFERENCING

          static final int REFERENCING

      See Also:
        Constant Field Values

    - #### REGR_AVGX

          static final int REGR_AVGX

      See Also:
        Constant Field Values

    - #### REGR_AVGY

          static final int REGR_AVGY

      See Also:
        Constant Field Values

    - #### REGR_COUNT

          static final int REGR_COUNT

      See Also:
        Constant Field Values

    - #### REGR_INTERCEPT

          static final int REGR_INTERCEPT

      See Also:
        Constant Field Values

    - #### REGR_R2

          static final int REGR_R2

      See Also:
        Constant Field Values

    - #### REGR_SLOPE

          static final int REGR_SLOPE

      See Also:
        Constant Field Values

    - #### REGR_SXX

          static final int REGR_SXX

      See Also:
        Constant Field Values

    - #### REGR_SXY

          static final int REGR_SXY

      See Also:
        Constant Field Values

    - #### REGR_SYY

          static final int REGR_SYY

      See Also:
        Constant Field Values

    - #### RELATIVE

          static final int RELATIVE

      See Also:
        Constant Field Values

    - #### RELEASE

          static final int RELEASE

      See Also:
        Constant Field Values

    - #### REPEATABLE

          static final int REPEATABLE

      See Also:
        Constant Field Values

    - #### REPLACE

          static final int REPLACE

      See Also:
        Constant Field Values

    - #### RESET

          static final int RESET

      See Also:
        Constant Field Values

    - #### RESTART

          static final int RESTART

      See Also:
        Constant Field Values

    - #### RESTRICT

          static final int RESTRICT

      See Also:
        Constant Field Values

    - #### RESULT

          static final int RESULT

      See Also:
        Constant Field Values

    - #### RETURN

          static final int RETURN

      See Also:
        Constant Field Values

    - #### RETURNED_CARDINALITY

          static final int RETURNED_CARDINALITY

      See Also:
        Constant Field Values

    - #### RETURNED_LENGTH

          static final int RETURNED_LENGTH

      See Also:
        Constant Field Values

    - #### RETURNED_OCTET_LENGTH

          static final int RETURNED_OCTET_LENGTH

      See Also:
        Constant Field Values

    - #### RETURNED_SQLSTATE

          static final int RETURNED_SQLSTATE

      See Also:
        Constant Field Values

    - #### RETURNS

          static final int RETURNS

      See Also:
        Constant Field Values

    - #### REVOKE

          static final int REVOKE

      See Also:
        Constant Field Values

    - #### RIGHT

          static final int RIGHT

      See Also:
        Constant Field Values

    - #### ROLE

          static final int ROLE

      See Also:
        Constant Field Values

    - #### ROLLBACK

          static final int ROLLBACK

      See Also:
        Constant Field Values

    - #### ROLLUP

          static final int ROLLUP

      See Also:
        Constant Field Values

    - #### ROUTINE

          static final int ROUTINE

      See Also:
        Constant Field Values

    - #### ROUTINE_CATALOG

          static final int ROUTINE_CATALOG

      See Also:
        Constant Field Values

    - #### ROUTINE_NAME

          static final int ROUTINE_NAME

      See Also:
        Constant Field Values

    - #### ROUTINE_SCHEMA

          static final int ROUTINE_SCHEMA

      See Also:
        Constant Field Values

    - #### ROW

          static final int ROW

      See Also:
        Constant Field Values

    - #### ROW_COUNT

          static final int ROW_COUNT

      See Also:
        Constant Field Values

    - #### ROW_NUMBER

          static final int ROW_NUMBER

      See Also:
        Constant Field Values

    - #### ROWS

          static final int ROWS

      See Also:
        Constant Field Values

    - #### RUNNING

          static final int RUNNING

      See Also:
        Constant Field Values

    - #### SAVEPOINT

          static final int SAVEPOINT

      See Also:
        Constant Field Values

    - #### SCALE

          static final int SCALE

      See Also:
        Constant Field Values

    - #### SCHEMA

          static final int SCHEMA

      See Also:
        Constant Field Values

    - #### SCHEMA_NAME

          static final int SCHEMA_NAME

      See Also:
        Constant Field Values

    - #### SCOPE

          static final int SCOPE

      See Also:
        Constant Field Values

    - #### SCOPE_CATALOGS

          static final int SCOPE_CATALOGS

      See Also:
        Constant Field Values

    - #### SCOPE_NAME

          static final int SCOPE_NAME

      See Also:
        Constant Field Values

    - #### SCOPE_SCHEMA

          static final int SCOPE_SCHEMA

      See Also:
        Constant Field Values

    - #### SCROLL

          static final int SCROLL

      See Also:
        Constant Field Values

    - #### SEARCH

          static final int SEARCH

      See Also:
        Constant Field Values

    - #### SECOND

          static final int SECOND

      See Also:
        Constant Field Values

    - #### SECTION

          static final int SECTION

      See Also:
        Constant Field Values

    - #### SECURITY

          static final int SECURITY

      See Also:
        Constant Field Values

    - #### SEEK

          static final int SEEK

      See Also:
        Constant Field Values

    - #### SELECT

          static final int SELECT

      See Also:
        Constant Field Values

    - #### SELF

          static final int SELF

      See Also:
        Constant Field Values

    - #### SENSITIVE

          static final int SENSITIVE

      See Also:
        Constant Field Values

    - #### SEQUENCE

          static final int SEQUENCE

      See Also:
        Constant Field Values

    - #### SERIALIZABLE

          static final int SERIALIZABLE

      See Also:
        Constant Field Values

    - #### SERVER

          static final int SERVER

      See Also:
        Constant Field Values

    - #### SERVER_NAME

          static final int SERVER_NAME

      See Also:
        Constant Field Values

    - #### SESSION

          static final int SESSION

      See Also:
        Constant Field Values

    - #### SESSION_USER

          static final int SESSION_USER

      See Also:
        Constant Field Values

    - #### SET

          static final int SET

      See Also:
        Constant Field Values

    - #### SETS

          static final int SETS

      See Also:
        Constant Field Values

    - #### SET_MINUS

          static final int SET_MINUS

      See Also:
        Constant Field Values

    - #### SHOW

          static final int SHOW

      See Also:
        Constant Field Values

    - #### SIMILAR

          static final int SIMILAR

      See Also:
        Constant Field Values

    - #### SIMPLE

          static final int SIMPLE

      See Also:
        Constant Field Values

    - #### SIZE

          static final int SIZE

      See Also:
        Constant Field Values

    - #### SKIP_

          static final int SKIP_

      See Also:
        Constant Field Values

    - #### SMALLINT

          static final int SMALLINT

      See Also:
        Constant Field Values

    - #### SOME

          static final int SOME

      See Also:
        Constant Field Values

    - #### SOURCE

          static final int SOURCE

      See Also:
        Constant Field Values

    - #### SPACE

          static final int SPACE

      See Also:
        Constant Field Values

    - #### SPECIFIC

          static final int SPECIFIC

      See Also:
        Constant Field Values

    - #### SPECIFIC_NAME

          static final int SPECIFIC_NAME

      See Also:
        Constant Field Values

    - #### SPECIFICTYPE

          static final int SPECIFICTYPE

      See Also:
        Constant Field Values

    - #### SQL

          static final int SQL

      See Also:
        Constant Field Values

    - #### SQLEXCEPTION

          static final int SQLEXCEPTION

      See Also:
        Constant Field Values

    - #### SQLSTATE

          static final int SQLSTATE

      See Also:
        Constant Field Values

    - #### SQLWARNING

          static final int SQLWARNING

      See Also:
        Constant Field Values

    - #### SQL_BIGINT

          static final int SQL_BIGINT

      See Also:
        Constant Field Values

    - #### SQL_BINARY

          static final int SQL_BINARY

      See Also:
        Constant Field Values

    - #### SQL_BIT

          static final int SQL_BIT

      See Also:
        Constant Field Values

    - #### SQL_BLOB

          static final int SQL_BLOB

      See Also:
        Constant Field Values

    - #### SQL_BOOLEAN

          static final int SQL_BOOLEAN

      See Also:
        Constant Field Values

    - #### SQL_CHAR

          static final int SQL_CHAR

      See Also:
        Constant Field Values

    - #### SQL_CLOB

          static final int SQL_CLOB

      See Also:
        Constant Field Values

    - #### SQL_DATE

          static final int SQL_DATE

      See Also:
        Constant Field Values

    - #### SQL_DECIMAL

          static final int SQL_DECIMAL

      See Also:
        Constant Field Values

    - #### SQL_DOUBLE

          static final int SQL_DOUBLE

      See Also:
        Constant Field Values

    - #### SQL_FLOAT

          static final int SQL_FLOAT

      See Also:
        Constant Field Values

    - #### SQL_INTEGER

          static final int SQL_INTEGER

      See Also:
        Constant Field Values

    - #### SQL_INTERVAL_DAY

          static final int SQL_INTERVAL_DAY

      See Also:
        Constant Field Values

    - #### SQL_INTERVAL_DAY_TO_HOUR

          static final int SQL_INTERVAL_DAY_TO_HOUR

      See Also:
        Constant Field Values

    - #### SQL_INTERVAL_DAY_TO_MINUTE

          static final int SQL_INTERVAL_DAY_TO_MINUTE

      See Also:
        Constant Field Values

    - #### SQL_INTERVAL_DAY_TO_SECOND

          static final int SQL_INTERVAL_DAY_TO_SECOND

      See Also:
        Constant Field Values

    - #### SQL_INTERVAL_HOUR

          static final int SQL_INTERVAL_HOUR

      See Also:
        Constant Field Values

    - #### SQL_INTERVAL_HOUR_TO_MINUTE

          static final int SQL_INTERVAL_HOUR_TO_MINUTE

      See Also:
        Constant Field Values

    - #### SQL_INTERVAL_HOUR_TO_SECOND

          static final int SQL_INTERVAL_HOUR_TO_SECOND

      See Also:
        Constant Field Values

    - #### SQL_INTERVAL_MINUTE

          static final int SQL_INTERVAL_MINUTE

      See Also:
        Constant Field Values

    - #### SQL_INTERVAL_MINUTE_TO_SECOND

          static final int SQL_INTERVAL_MINUTE_TO_SECOND

      See Also:
        Constant Field Values

    - #### SQL_INTERVAL_MONTH

          static final int SQL_INTERVAL_MONTH

      See Also:
        Constant Field Values

    - #### SQL_INTERVAL_SECOND

          static final int SQL_INTERVAL_SECOND

      See Also:
        Constant Field Values

    - #### SQL_INTERVAL_YEAR

          static final int SQL_INTERVAL_YEAR

      See Also:
        Constant Field Values

    - #### SQL_INTERVAL_YEAR_TO_MONTH

          static final int SQL_INTERVAL_YEAR_TO_MONTH

      See Also:
        Constant Field Values

    - #### SQL_LONGVARBINARY

          static final int SQL_LONGVARBINARY

      See Also:
        Constant Field Values

    - #### SQL_LONGVARCHAR

          static final int SQL_LONGVARCHAR

      See Also:
        Constant Field Values

    - #### SQL_LONGVARNCHAR

          static final int SQL_LONGVARNCHAR

      See Also:
        Constant Field Values

    - #### SQL_NCHAR

          static final int SQL_NCHAR

      See Also:
        Constant Field Values

    - #### SQL_NCLOB

          static final int SQL_NCLOB

      See Also:
        Constant Field Values

    - #### SQL_NUMERIC

          static final int SQL_NUMERIC

      See Also:
        Constant Field Values

    - #### SQL_NVARCHAR

          static final int SQL_NVARCHAR

      See Also:
        Constant Field Values

    - #### SQL_REAL

          static final int SQL_REAL

      See Also:
        Constant Field Values

    - #### SQL_SMALLINT

          static final int SQL_SMALLINT

      See Also:
        Constant Field Values

    - #### SQL_TIME

          static final int SQL_TIME

      See Also:
        Constant Field Values

    - #### SQL_TIMESTAMP

          static final int SQL_TIMESTAMP

      See Also:
        Constant Field Values

    - #### SQL_TINYINT

          static final int SQL_TINYINT

      See Also:
        Constant Field Values

    - #### SQL_TSI_DAY

          static final int SQL_TSI_DAY

      See Also:
        Constant Field Values

    - #### SQL_TSI_FRAC_SECOND

          static final int SQL_TSI_FRAC_SECOND

      See Also:
        Constant Field Values

    - #### SQL_TSI_HOUR

          static final int SQL_TSI_HOUR

      See Also:
        Constant Field Values

    - #### SQL_TSI_MICROSECOND

          static final int SQL_TSI_MICROSECOND

      See Also:
        Constant Field Values

    - #### SQL_TSI_MINUTE

          static final int SQL_TSI_MINUTE

      See Also:
        Constant Field Values

    - #### SQL_TSI_MONTH

          static final int SQL_TSI_MONTH

      See Also:
        Constant Field Values

    - #### SQL_TSI_QUARTER

          static final int SQL_TSI_QUARTER

      See Also:
        Constant Field Values

    - #### SQL_TSI_SECOND

          static final int SQL_TSI_SECOND

      See Also:
        Constant Field Values

    - #### SQL_TSI_WEEK

          static final int SQL_TSI_WEEK

      See Also:
        Constant Field Values

    - #### SQL_TSI_YEAR

          static final int SQL_TSI_YEAR

      See Also:
        Constant Field Values

    - #### SQL_VARBINARY

          static final int SQL_VARBINARY

      See Also:
        Constant Field Values

    - #### SQL_VARCHAR

          static final int SQL_VARCHAR

      See Also:
        Constant Field Values

    - #### SQRT

          static final int SQRT

      See Also:
        Constant Field Values

    - #### START

          static final int START

      See Also:
        Constant Field Values

    - #### STATE

          static final int STATE

      See Also:
        Constant Field Values

    - #### STATEMENT

          static final int STATEMENT

      See Also:
        Constant Field Values

    - #### STATIC

          static final int STATIC

      See Also:
        Constant Field Values

    - #### STDDEV_POP

          static final int STDDEV_POP

      See Also:
        Constant Field Values

    - #### STDDEV_SAMP

          static final int STDDEV_SAMP

      See Also:
        Constant Field Values

    - #### STREAM

          static final int STREAM

      See Also:
        Constant Field Values

    - #### STRUCTURE

          static final int STRUCTURE

      See Also:
        Constant Field Values

    - #### STYLE

          static final int STYLE

      See Also:
        Constant Field Values

    - #### SUBCLASS_ORIGIN

          static final int SUBCLASS_ORIGIN

      See Also:
        Constant Field Values

    - #### SUBMULTISET

          static final int SUBMULTISET

      See Also:
        Constant Field Values

    - #### SUBSET

          static final int SUBSET

      See Also:
        Constant Field Values

    - #### SUBSTITUTE

          static final int SUBSTITUTE

      See Also:
        Constant Field Values

    - #### SUBSTRING

          static final int SUBSTRING

      See Also:
        Constant Field Values

    - #### SUBSTRING_REGEX

          static final int SUBSTRING_REGEX

      See Also:
        Constant Field Values

    - #### SUCCEEDS

          static final int SUCCEEDS

      See Also:
        Constant Field Values

    - #### SUM

          static final int SUM

      See Also:
        Constant Field Values

    - #### SYMMETRIC

          static final int SYMMETRIC

      See Also:
        Constant Field Values

    - #### SYSTEM

          static final int SYSTEM

      See Also:
        Constant Field Values

    - #### SYSTEM_TIME

          static final int SYSTEM_TIME

      See Also:
        Constant Field Values

    - #### SYSTEM_USER

          static final int SYSTEM_USER

      See Also:
        Constant Field Values

    - #### TABLE

          static final int TABLE

      See Also:
        Constant Field Values

    - #### TABLE_NAME

          static final int TABLE_NAME

      See Also:
        Constant Field Values

    - #### TABLESAMPLE

          static final int TABLESAMPLE

      See Also:
        Constant Field Values

    - #### TEMPORARY

          static final int TEMPORARY

      See Also:
        Constant Field Values

    - #### THEN

          static final int THEN

      See Also:
        Constant Field Values

    - #### TIES

          static final int TIES

      See Also:
        Constant Field Values

    - #### TIME

          static final int TIME

      See Also:
        Constant Field Values

    - #### TIMESTAMP

          static final int TIMESTAMP

      See Also:
        Constant Field Values

    - #### TIMESTAMPADD

          static final int TIMESTAMPADD

      See Also:
        Constant Field Values

    - #### TIMESTAMPDIFF

          static final int TIMESTAMPDIFF

      See Also:
        Constant Field Values

    - #### TIMEZONE_HOUR

          static final int TIMEZONE_HOUR

      See Also:
        Constant Field Values

    - #### TIMEZONE_MINUTE

          static final int TIMEZONE_MINUTE

      See Also:
        Constant Field Values

    - #### TINYINT

          static final int TINYINT

      See Also:
        Constant Field Values

    - #### TO

          static final int TO

      See Also:
        Constant Field Values

    - #### TOP_LEVEL_COUNT

          static final int TOP_LEVEL_COUNT

      See Also:
        Constant Field Values

    - #### TRAILING

          static final int TRAILING

      See Also:
        Constant Field Values

    - #### TRANSACTION

          static final int TRANSACTION

      See Also:
        Constant Field Values

    - #### TRANSACTIONS_ACTIVE

          static final int TRANSACTIONS_ACTIVE

      See Also:
        Constant Field Values

    - #### TRANSACTIONS_COMMITTED

          static final int TRANSACTIONS_COMMITTED

      See Also:
        Constant Field Values

    - #### TRANSACTIONS_ROLLED_BACK

          static final int TRANSACTIONS_ROLLED_BACK

      See Also:
        Constant Field Values

    - #### TRANSFORM

          static final int TRANSFORM

      See Also:
        Constant Field Values

    - #### TRANSFORMS

          static final int TRANSFORMS

      See Also:
        Constant Field Values

    - #### TRANSLATE

          static final int TRANSLATE

      See Also:
        Constant Field Values

    - #### TRANSLATE_REGEX

          static final int TRANSLATE_REGEX

      See Also:
        Constant Field Values

    - #### TRANSLATION

          static final int TRANSLATION

      See Also:
        Constant Field Values

    - #### TREAT

          static final int TREAT

      See Also:
        Constant Field Values

    - #### TRIGGER

          static final int TRIGGER

      See Also:
        Constant Field Values

    - #### TRIGGER_CATALOG

          static final int TRIGGER_CATALOG

      See Also:
        Constant Field Values

    - #### TRIGGER_NAME

          static final int TRIGGER_NAME

      See Also:
        Constant Field Values

    - #### TRIGGER_SCHEMA

          static final int TRIGGER_SCHEMA

      See Also:
        Constant Field Values

    - #### TRIM

          static final int TRIM

      See Also:
        Constant Field Values

    - #### TRIM_ARRAY

          static final int TRIM_ARRAY

      See Also:
        Constant Field Values

    - #### TRUE

          static final int TRUE

      See Also:
        Constant Field Values

    - #### TRUNCATE

          static final int TRUNCATE

      See Also:
        Constant Field Values

    - #### TYPE

          static final int TYPE

      See Also:
        Constant Field Values

    - #### UESCAPE

          static final int UESCAPE

      See Also:
        Constant Field Values

    - #### UNBOUNDED

          static final int UNBOUNDED

      See Also:
        Constant Field Values

    - #### UNCOMMITTED

          static final int UNCOMMITTED

      See Also:
        Constant Field Values

    - #### UNDER

          static final int UNDER

      See Also:
        Constant Field Values

    - #### UNION

          static final int UNION

      See Also:
        Constant Field Values

    - #### UNIQUE

          static final int UNIQUE

      See Also:
        Constant Field Values

    - #### UNKNOWN

          static final int UNKNOWN

      See Also:
        Constant Field Values

    - #### UNNAMED

          static final int UNNAMED

      See Also:
        Constant Field Values

    - #### UNNEST

          static final int UNNEST

      See Also:
        Constant Field Values

    - #### UPDATE

          static final int UPDATE

      See Also:
        Constant Field Values

    - #### UPPER

          static final int UPPER

      See Also:
        Constant Field Values

    - #### UPSERT

          static final int UPSERT

      See Also:
        Constant Field Values

    - #### USAGE

          static final int USAGE

      See Also:
        Constant Field Values

    - #### USER

          static final int USER

      See Also:
        Constant Field Values

    - #### USER_DEFINED_TYPE_CATALOG

          static final int USER_DEFINED_TYPE_CATALOG

      See Also:
        Constant Field Values

    - #### USER_DEFINED_TYPE_CODE

          static final int USER_DEFINED_TYPE_CODE

      See Also:
        Constant Field Values

    - #### USER_DEFINED_TYPE_NAME

          static final int USER_DEFINED_TYPE_NAME

      See Also:
        Constant Field Values

    - #### USER_DEFINED_TYPE_SCHEMA

          static final int USER_DEFINED_TYPE_SCHEMA

      See Also:
        Constant Field Values

    - #### USING

          static final int USING

      See Also:
        Constant Field Values

    - #### VALUE

          static final int VALUE

      See Also:
        Constant Field Values

    - #### VALUES

          static final int VALUES

      See Also:
        Constant Field Values

    - #### VALUE_OF

          static final int VALUE_OF

      See Also:
        Constant Field Values

    - #### VAR_POP

          static final int VAR_POP

      See Also:
        Constant Field Values

    - #### VAR_SAMP

          static final int VAR_SAMP

      See Also:
        Constant Field Values

    - #### VARBINARY

          static final int VARBINARY

      See Also:
        Constant Field Values

    - #### VARCHAR

          static final int VARCHAR

      See Also:
        Constant Field Values

    - #### VARYING

          static final int VARYING

      See Also:
        Constant Field Values

    - #### VERSION

          static final int VERSION

      See Also:
        Constant Field Values

    - #### VERSIONING

          static final int VERSIONING

      See Also:
        Constant Field Values

    - #### VIEW

          static final int VIEW

      See Also:
        Constant Field Values

    - #### WEEK

          static final int WEEK

      See Also:
        Constant Field Values

    - #### WHEN

          static final int WHEN

      See Also:
        Constant Field Values

    - #### WHENEVER

          static final int WHENEVER

      See Also:
        Constant Field Values

    - #### WHERE

          static final int WHERE

      See Also:
        Constant Field Values

    - #### WIDTH_BUCKET

          static final int WIDTH_BUCKET

      See Also:
        Constant Field Values

    - #### WINDOW

          static final int WINDOW

      See Also:
        Constant Field Values

    - #### WITH

          static final int WITH

      See Also:
        Constant Field Values

    - #### WITHIN

          static final int WITHIN

      See Also:
        Constant Field Values

    - #### WITHOUT

          static final int WITHOUT

      See Also:
        Constant Field Values

    - #### WORK

          static final int WORK

      See Also:
        Constant Field Values

    - #### WRAPPER

          static final int WRAPPER

      See Also:
        Constant Field Values

    - #### WRITE

          static final int WRITE

      See Also:
        Constant Field Values

    - #### XML

          static final int XML

      See Also:
        Constant Field Values

    - #### YEAR

          static final int YEAR

      See Also:
        Constant Field Values

    - #### ZONE

          static final int ZONE

      See Also:
        Constant Field Values

    - #### LOCATION

          static final int LOCATION

      See Also:
        Constant Field Values

    - #### INPUTFORMAT

          static final int INPUTFORMAT

      See Also:
        Constant Field Values

    - #### OUTPUTFORMAT

          static final int OUTPUTFORMAT

      See Also:
        Constant Field Values

    - #### PARALLELISM

          static final int PARALLELISM

      See Also:
        Constant Field Values

    - #### STORED

          static final int STORED

      See Also:
        Constant Field Values

    - #### TBLPROPERTIES

          static final int TBLPROPERTIES

      See Also:
        Constant Field Values

    - #### JAR

          static final int JAR

      See Also:
        Constant Field Values

    - #### UNSIGNED_INTEGER_LITERAL

          static final int UNSIGNED_INTEGER_LITERAL

      See Also:
        Constant Field Values

    - #### APPROX_NUMERIC_LITERAL

          static final int APPROX_NUMERIC_LITERAL

      See Also:
        Constant Field Values

    - #### DECIMAL_NUMERIC_LITERAL

          static final int DECIMAL_NUMERIC_LITERAL

      See Also:
        Constant Field Values

    - #### EXPONENT

          static final int EXPONENT

      See Also:
        Constant Field Values

    - #### HEXDIGIT

          static final int HEXDIGIT

      See Also:
        Constant Field Values

    - #### WHITESPACE

          static final int WHITESPACE

      See Also:
        Constant Field Values

    - #### BINARY_STRING_LITERAL

          static final int BINARY_STRING_LITERAL

      See Also:
        Constant Field Values

    - #### QUOTED_STRING

          static final int QUOTED_STRING

      See Also:
        Constant Field Values

    - #### PREFIXED_STRING_LITERAL

          static final int PREFIXED_STRING_LITERAL

      See Also:
        Constant Field Values

    - #### UNICODE_STRING_LITERAL

          static final int UNICODE_STRING_LITERAL

      See Also:
        Constant Field Values

    - #### CHARSETNAME

          static final int CHARSETNAME

      See Also:
        Constant Field Values

    - #### UNICODE_QUOTED_ESCAPE_CHAR

          static final int UNICODE_QUOTED_ESCAPE_CHAR

      See Also:
        Constant Field Values

    - #### LPAREN

          static final int LPAREN

      See Also:
        Constant Field Values

    - #### RPAREN

          static final int RPAREN

      See Also:
        Constant Field Values

    - #### LBRACE_D

          static final int LBRACE_D

      See Also:
        Constant Field Values

    - #### LBRACE_T

          static final int LBRACE_T

      See Also:
        Constant Field Values

    - #### LBRACE_TS

          static final int LBRACE_TS

      See Also:
        Constant Field Values

    - #### LBRACE_FN

          static final int LBRACE_FN

      See Also:
        Constant Field Values

    - #### LBRACE

          static final int LBRACE

      See Also:
        Constant Field Values

    - #### RBRACE

          static final int RBRACE

      See Also:
        Constant Field Values

    - #### LBRACKET

          static final int LBRACKET

      See Also:
        Constant Field Values

    - #### RBRACKET

          static final int RBRACKET

      See Also:
        Constant Field Values

    - #### SEMICOLON

          static final int SEMICOLON

      See Also:
        Constant Field Values

    - #### DOT

          static final int DOT

      See Also:
        Constant Field Values

    - #### COMMA

          static final int COMMA

      See Also:
        Constant Field Values

    - #### EQ

          static final int EQ

      See Also:
        Constant Field Values

    - #### GT

          static final int GT

      See Also:
        Constant Field Values

    - #### LT

          static final int LT

      See Also:
        Constant Field Values

    - #### HOOK

          static final int HOOK

      See Also:
        Constant Field Values

    - #### COLON

          static final int COLON

      See Also:
        Constant Field Values

    - #### LE

          static final int LE

      See Also:
        Constant Field Values

    - #### GE

          static final int GE

      See Also:
        Constant Field Values

    - #### NE

          static final int NE

      See Also:
        Constant Field Values

    - #### NE2

          static final int NE2

      See Also:
        Constant Field Values

    - #### PLUS

          static final int PLUS

      See Also:
        Constant Field Values

    - #### MINUS

          static final int MINUS

      See Also:
        Constant Field Values

    - #### STAR

          static final int STAR

      See Also:
        Constant Field Values

    - #### SLASH

          static final int SLASH

      See Also:
        Constant Field Values

    - #### PERCENT_REMAINDER

          static final int PERCENT_REMAINDER

      See Also:
        Constant Field Values

    - #### CONCAT

          static final int CONCAT

      See Also:
        Constant Field Values

    - #### NAMED_ARGUMENT_ASSIGNMENT

          static final int NAMED_ARGUMENT_ASSIGNMENT

      See Also:
        Constant Field Values

    - #### DOUBLE_PERIOD

          static final int DOUBLE_PERIOD

      See Also:
        Constant Field Values

    - #### QUOTE

          static final int QUOTE

      See Also:
        Constant Field Values

    - #### DOUBLE_QUOTE

          static final int DOUBLE_QUOTE

      See Also:
        Constant Field Values

    - #### VERTICAL_BAR

          static final int VERTICAL_BAR

      See Also:
        Constant Field Values

    - #### CARET

          static final int CARET

      See Also:
        Constant Field Values

    - #### DOLLAR

          static final int DOLLAR

      See Also:
        Constant Field Values

    - #### SINGLE_LINE_COMMENT

          static final int SINGLE_LINE_COMMENT

      See Also:
        Constant Field Values

    - #### FORMAL_COMMENT

          static final int FORMAL_COMMENT

      See Also:
        Constant Field Values

    - #### MULTI_LINE_COMMENT

          static final int MULTI_LINE_COMMENT

      See Also:
        Constant Field Values

    - #### BRACKET_QUOTED_IDENTIFIER

          static final int BRACKET_QUOTED_IDENTIFIER

      See Also:
        Constant Field Values

    - #### QUOTED_IDENTIFIER

          static final int QUOTED_IDENTIFIER

      See Also:
        Constant Field Values

    - #### BACK_QUOTED_IDENTIFIER

          static final int BACK_QUOTED_IDENTIFIER

      See Also:
        Constant Field Values

    - #### COLLATION_ID

          static final int COLLATION_ID

      See Also:
        Constant Field Values

    - #### IDENTIFIER

          static final int IDENTIFIER

      See Also:
        Constant Field Values

    - #### UNICODE_QUOTED_IDENTIFIER

          static final int UNICODE_QUOTED_IDENTIFIER

      See Also:
        Constant Field Values

    - #### LETTER

          static final int LETTER

      See Also:
        Constant Field Values

    - #### DIGIT

          static final int DIGIT

      See Also:
        Constant Field Values

    - #### BEL

          static final int BEL

      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      See Also:
        Constant Field Values

    - #### DQID

          static final int DQID

      See Also:
        Constant Field Values

    - #### BTID

          static final int BTID

      See Also:
        Constant Field Values

    - #### IN_FORMAL_COMMENT

          static final int IN_FORMAL_COMMENT

      See Also:
        Constant Field Values

    - #### IN_MULTI_LINE_COMMENT

          static final int IN_MULTI_LINE_COMMENT

      See Also:
        Constant Field Values

    - #### tokenImage

          static final String[] tokenImage

Copyright © 2021 The Apache Software Foundation. All rights reserved.